# Get attribute type

from maptek import vulcan

input_tri = "pit_solid.00t" # triangulation to use

input_attributes = ['oxd', 'bench', 'flagged'] # attribute to pass

with vulcan.tri_attributes(input_tri) as tri:  # open triangulation in read mode
    for key in input_attributes:
        type = tri.get_type(key)  # get attribute type
        print(f"{type}")